Bug 389041 - radeon driver will not accept xorg.conf ModeLine
radeon driver will not accept xorg.conf ModeLine
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-17 20:32 EST by Tom Horsley
Modified: 2009-10-22 08:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:27:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2007-11-17 20:32:19 EST
Description of problem:

The custom ModeLine I've been using in previous fedora releases is utterly
ignored by the radeon driver in Fedora 8. There appears to be a patch
for this over in the xorg bugzillas:


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to specify ModeLine
2. Find no evidence in X log that it was ever seen
Actual results:
see above

Expected results:
I'd love to have my custom mode working so my stoopid (probably hardware
bug related) radeon card will stop flickering. (Although I've actually
gotten tired enough of the flakey hardware to order a new video card,
so I may not care as much about this soon :-).

Additional info:

Anyone interested in the full history of my ModeLine can read:

Comment 1 Matěj Cepl 2008-01-31 11:31:27 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Tom Horsley 2008-01-31 18:56:55 EST
Sorry, I solved my problem by swapping out the radeon card and swapping in
an nvidia, so I can no longer get any new information relevant to the
radeon driver :-).

I can say, that it had no problem auto-detecting the EDID info for the monitor
and driving it with that mode, unfortunately the monitor didn't actually work
correctly with the input it asked for, which was why I wanted to use my own
mode line running at a lower refresh rate.

In the easy-linux.html web page link above, I had to disable DDC to get it
to accept my custom ModeLine. I have a deep suspicion that the problem in the
latest fedora 8 X server is that the DDC module is now built in and there is
no way to turn it off.

Unfortunately, that's about the most info I can provide.
Comment 3 Matěj Cepl 2008-02-01 07:26:49 EST
Thanks, I will pass your thoughts to developers, and we'll see what they will do
about it (moreover, note, that in Rawhide and thus Fedora 9, Xorg is completely
rebuilt, so this whole issue may not be relevant for further development
anymore; of course, we should fix in F8 anyway).
Comment 4 Bug Zapper 2008-11-26 03:32:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-01-09 02:27:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.